export class ServiceInvoker {

    private configMap: Map<string, Object>;

    public constructor() {
        this.configMap = new Map();
    }

    public invoke(className: string, methodName: string, params?: any): void {
        let classObj: Object = this.configMap[className];
        if (!classObj.hasOwnProperty(methodName)) {
            console.log('Error: Cannot find the method. [' + methodName + ']');
            return;
        }
        classObj[methodName]();
    }
}
